Name:           purple-facebookchat
Version:        1.69
Release:        6%{?dist}
Summary:        Libpurple plug-in supporting facebook IM
Group:          Applications/Internet
License:        GPLv3+
URL:            http://code.google.com/p/pidgin-facebookchat/
Source0:        https://pidgin-facebookchat.googlecode.com/files/pidgin-facebookchat-source-%{version}.tar.bz2
Source3:        %{name}-Makefile
Provides:       pidgin-facebookchat = %{version}-%{release} 
Obsoletes:      pidgin-facebookchat < 1.35-3
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libpurple-devel >= 2.5.8
BuildRequires:  json-glib-devel
BuildRequires:  zlib-devel

# pre-release patch fix for chat incompatibility from trunk (Thanks to Rudolf Kastl)
Patch0:		purple-facebookchat-fbchat-fix.patch

%description
This is a Facebook chat plug-in for Pidgin and libpurple
messengers. It connects to the new Facebook Chat IM service
without the need for an API key.

Currently the plug-in can log into the Facebook servers, grab the
buddy list, send/receive messages, add/remove friends, receive
notifications, search for Facebook friends and set your Facebook
status.

Unique features are better explained at:
http://code.google.com/p/pidgin-facebookchat/wiki/XMPPDifferences

%prep
%setup -q -n pidgin-facebookchat

%patch0 -p1

# Upstream Makefile is totally horrible, use our own instead.
mv Makefile Makefile.orig
install -p %{SOURCE3} Makefile

%build

export CFLAGS="$RPM_OPT_FLAGS"
make LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/purple-2/libfacebook.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/facebook.png

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.69-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.69-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 20 2011 Dan Horák <dan[at]danny.cz> 1.69-4
- drop the ExcludeArch

* Fri Apr 15 2011 Ismael Olea <ismael@olea.org> 1.69-3
- pre-release patch fix for chat incompatibility from trunk (Thanks to Rudolf Kastl)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 4 2011 Ismael Olea <ismael@olea.org> 1.69-1
- updating to 1.69
- added zlib-devel dependency

* Tue Jul 13 2010 Ismael Olea <ismael@olea.org> 1.67-1
- updating to 1.67

* Fri Nov 6 2009 Ismael Olea <ismael@olea.org> 1.62-1
- updating to 1.62

* Sat Sep 12 2009 Ismael Olea <ismael@olea.org> 1.61-1
- updating to 1.61

* Tue Jul 23 2009 Ismael Olea <ismael@olea.org> 1.60-1
- updating to 1.60
- adding new sourcecode files to makefile

* Tue Jul 7 2009 Ismael Olea <ismael@olea.org> 1.54-1
- updating to 1.54

* Sat Jun 13 2009 Ismael Olea <ismael@olea.org> 1.51-1
- updating to 1.51

* Mon Apr 13 2009 Ismael Olea <ismael@olea.org> 1.50-1
- updating to 1.50

* Wed Dec 31 2008 Ismael Olea <ismael@olea.org> 1.47-1
- updating to 1.47

* Mon Dec 29 2008 Ismael Olea <ismael@olea.org> 1.46-1
- updating to 1.46

* Fri Dec 26 2008 Ismael Olea <ismael@olea.org> 1.45-1
- removing strip command (#477902)
- updating to 1.45

* Tue Dec 16 2008 Ismael Olea <ismael@olea.org> 1.44-2
- fixing Makefile: the  NO_ZLIB flag is needed.
- fixing Makefile: adding source files

* Wed Oct 29 2008 Matěj Cepl <mcepl@redhat.com> 1.38-1
- New upstream release
- My patch was finally accepted upstream -- removing it here.

* Thu Oct 23 2008 Matěj Cepl <mcepl@redhat.com> 1.37-1
- Upstream release.

* Sun Sep 28 2008 Matěj Cepl <mcepl@redhat.com> - 1.35-5
- Bump release to eliminate pidgin-facebookchat duplicate
  package.

* Wed Sep 24 2008 Matej Cepl <mcepl@redhat.com> 1.35-4
- Makefile is not compressed anymore and it shouldn't create
  source tarball anymore in all target.

* Tue Sep 23 2008 Matej Cepl <mcepl@redhat.com> 1.35-3
- Some changes from Dan Horák

* Mon Sep 22 2008 Matěj Cepl <mcepl@redhat.com> 1.35-1
- Initial build.
